Fills the specific cart with items. If the cart already has an item with the same SKU, the existing item position will be replaced by the passed value.
/
Update cart item by cart...
Digital Distribution Hub (1.0.0)
Digital Distribution Hub is a new Xsolla solution that aims to connect digital and cash based payments via push payments technology and e-commerce.
This reference combines API endpoints for two Xsolla products: In-Game Store and Pay Station. There are two base URLs:
https://store.xsolla.com/apifor the Common, Catalog, Cart, and Order groups.https://ps.xsolla.comfor the Notifications group.
API endpoints in the Catalog group don’t require authorization.
To work with operations in the Cart and Order groups, you need to generate a token via Create user token.
Note
This reference shows a design of a future API and not a fully functioning interface. Currently, you can try only Catalog and Notifications groups endpoints. If you’d like to share your feedback, please email us at techdoc@xsolla.com.
This reference shows a design of a future API and not a fully functioning interface. Currently, you can try only Catalog and Notifications groups endpoints. If you’d like to share your feedback, please email us at techdoc@xsolla.com.
Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/
https://store.xsolla.com/api/
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/cart/{cart_id}/fill
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/fill
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/cart/custom_id/fill \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"sku": "booster_mega_1",
"quantity": 123
}
]'The cart with items was successfully returned.
Cart price.
Example: "{\"amount\":\"6150.0000000000000000\",\"amount_without_discount\":\"6150.0000000000000000\",\"currency\":\"USD\"}"
Example: [{"attributes":[],"description":"Take it, take it all! All of Xsollas riches in one Mega Booster.","groups":[{"external_id":"powerups","name":"Power Ups"}],"image_url":"https://cdn.xsolla.net/img/misc/images/e9f2f4a634bc96ea03b5d5ceadd7c55f.png","inventory_options":{"consumable":{"usages_count":1}},"is_free":false,"name":"Xsolla Booster Mega","price":{"amount":"50.0000000000000000","amount_without_discount":"100.0000000000000000","currency":"USD"},"quantity":123,"sku":"booster_mega_1","type":"virtual_good","virtual_item_type":"consumable","virtual_prices":[]}]
Response
application/json
{ "cart_id": "cart_id", "is_free": false, "items": [ { … } ], "warnings": [ { … } ], "price": { "amount": "6150.0000000000000000", "amount_without_discount": "6150.0000000000000000", "currency": "USD" } }
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
-u <username>:<password> \
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/cart/custom_id/item/booster_mega_1 \
-H 'Content-Type: application/json' \
-d '{
"currency": "string",
"quantity": 123
}'- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/cart/custom_id/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'